#if !defined(__RPI_GPIO_H__)
#define __RPI_GPIO_H__

// GPIO I/O definitions
#define GPIO_IN 0
#define GPIO_OUT 1
#define GPIO_ALT0 4
#define GPIO_ALT1 5
#define GPIO_ALT2 6
#define GPIO_ALT3 7
#define GPIO_ALT4 3
#define GPIO_ALT5 2

#define GPIO_NOPULL 0
#define GPIO_PULLDN 1
#define GPIO_PULLUP 2

void gpio_setup();

void gpio_close();

void gpio_pull(int pin, int pull);

void gpio_mode(int pin, int mode);

#endif // __RPI_GPIO_H__